summaryrefslogtreecommitdiff
path: root/libre/texlive-latexextra
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@parabola.nu>2014-09-04 19:35:18 -0300
committerAndré Fabian Silva Delgado <emulatorman@parabola.nu>2014-09-04 19:35:18 -0300
commit29af419728c92102a295f2aa17e989fc687c5f71 (patch)
treee73b14ae690f7b9fcd7fb096be86b355cc54c6a5 /libre/texlive-latexextra
parent00d01d46a9b512973c7d4b0f07436e0e82e5dae0 (diff)
texlive-latexextra: remove libre suffix and add complex pkgrel
Diffstat (limited to 'libre/texlive-latexextra')
-rw-r--r--libre/texlive-latexextra/PKGBUILD90
-rw-r--r--libre/texlive-latexextra/texlive-latexextra.maps3
-rw-r--r--libre/texlive-latexextra/texlive.install52
3 files changed, 145 insertions, 0 deletions
diff --git a/libre/texlive-latexextra/PKGBUILD b/libre/texlive-latexextra/PKGBUILD
new file mode 100644
index 000000000..19e2f1bb6
--- /dev/null
+++ b/libre/texlive-latexextra/PKGBUILD
@@ -0,0 +1,90 @@
+# $Id: PKGBUILD 219691 2014-08-13 23:16:41Z remy $
+# Maintainer (Arch): Firmicus <firmicus āt gmx dōt net>
+# Maintainer (Arch): Rémy Oudompheng <remy@archlinux.org>
+# Maintainer: Michał Masłowski <mtjm@mtjm.eu>
+# Contributor: André Silva <emulatorman@parabola.nu>
+
+_pkgname=texlive-latexextra-libre
+pkgname=texlive-latexextra
+pkgver=2014.34865
+_revnr=${pkgver#2014.}
+pkgrel=1.parabola1
+pkgdesc="TeX Live - Large collection of add-on packages for LaTeX, without nonfree add-on packages"
+license=('GPL')
+arch=(any)
+depends=('texlive-core'
+ 'perl-file-which' # for pdfannotextractor
+ )
+optdepends=(
+ 'texlive-genericextra: to use the calctab package'
+ 'texlive-pictures: to use the package overpic'
+ 'java-environment: to use pdfannotextractor'
+)
+replaces=('texlive-latexextra-libre')
+conflicts=('texlive-latexextra-libre')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+mksource=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
+noextract=("$pkgname-$pkgver-src.zip")
+source=("https://repo.parabolagnulinux.org/other/$_pkgname/$_pkgname-$pkgver-src.tar.xz" "$pkgname.maps")
+options=('!emptydirs')
+options=(!strip)
+install=texlive.install
+mkmd5sums=('720366292fe9b8d9548dd1e369159580')
+md5sums=('ee9592ae75037c73360ec5bb9df20b65'
+ '9e4825f47dac663dd62c4bfa67899e84')
+
+mksource() {
+ mkdir $pkgname-$pkgver
+ pushd $pkgname-$pkgver
+ bsdtar xfv ../$pkgname-$pkgver-src.zip
+
+ # remove nonfree packages
+ # No specific free license.
+ rm -v {authoraftertitle,clock,fnpara}.tar.xz
+ # Remove them from package list.
+ sed -ri '/^(authoraftertitle|fnpara) /d' CONTENTS
+
+ popd
+}
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ for p in *.tar.xz; do
+ bsdtar -xf $p
+ done
+ rm -rf {tlpkg,doc,source} || true
+}
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ install -m755 -d "$pkgdir"/var/lib/texmf/arch/installedpkgs
+ sed -i '/^#/d' CONTENTS
+ install -m644 CONTENTS "$pkgdir"/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+ install -m644 $srcdir/$pkgname.maps "$pkgdir"/var/lib/texmf/arch/installedpkgs/
+ install -m755 -d "$pkgdir"/usr/share
+ wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+ for dir in $wanteddirs; do
+ find $dir -type d -exec install -d -m755 "$pkgdir"/usr/share/texmf-dist/'{}' \;
+ find $dir -type f -exec install -m644 '{}' "$pkgdir"/usr/share/texmf-dist/'{}' \;
+ done
+ if [[ -d texmf-dist ]]; then
+ find texmf-dist -type d -exec install -d -m755 "$pkgdir"/usr/share/'{}' \;
+ find texmf-dist -type f -exec install -m644 '{}' "$pkgdir"/usr/share/'{}' \;
+ fi
+ if [[ -d "$pkgdir"/usr/share/texmf-dist/scripts ]]; then
+ find "$pkgdir"/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+ fi
+ #add symlinks that were in texlive-bin:
+ install -m755 -d "$pkgdir"/usr/bin
+ ln -s /usr/share/texmf-dist/scripts/authorindex/authorindex "$pkgdir"/usr/bin/authorindex
+ ln -s /usr/share/texmf-dist/scripts/exceltex/exceltex "$pkgdir"/usr/bin/exceltex
+ ln -s /usr/share/texmf-dist/scripts/glossaries/makeglossaries "$pkgdir"/usr/bin/makeglossaries
+ ln -s /usr/share/texmf-dist/scripts/pax/pdfannotextractor.pl "$pkgdir"/usr/bin/pdfannotextractor
+ ln -s /usr/share/texmf-dist/scripts/perltex/perltex.pl "$pkgdir"/usr/bin/perltex
+ ln -s /usr/share/texmf-dist/scripts/pst-pdf/ps4pdf "$pkgdir"/usr/bin/ps4pdf
+ ln -s /usr/share/texmf-dist/scripts/splitindex/splitindex.pl "$pkgdir"/usr/bin/splitindex
+ ln -s /usr/share/texmf-dist/scripts/svn-multi/svn-multi.pl "$pkgdir"/usr/bin/svn-multi
+ ln -s /usr/share/texmf-dist/scripts/vpe/vpe.pl "$pkgdir"/usr/bin/vpe
+ rm "$pkgdir"/usr/share/texmf-dist/scripts/glossaries/makeglossaries.bat
+ rm "$pkgdir"/usr/share/texmf-dist/scripts/pst-pdf/ps4pdf.bat*
+ rm "$pkgdir"/usr/share/texmf-dist/scripts/shipunov/biokey2html.bat
+}
diff --git a/libre/texlive-latexextra/texlive-latexextra.maps b/libre/texlive-latexextra/texlive-latexextra.maps
new file mode 100644
index 000000000..b97f37fdd
--- /dev/null
+++ b/libre/texlive-latexextra/texlive-latexextra.maps
@@ -0,0 +1,3 @@
+Map epiolmec.map
+MixedMap esint.map
+MixedMap manfnt.map
diff --git a/libre/texlive-latexextra/texlive.install b/libre/texlive-latexextra/texlive.install
new file mode 100644
index 000000000..befc29143
--- /dev/null
+++ b/libre/texlive-latexextra/texlive.install
@@ -0,0 +1,52 @@
+PKGNAME="texlive-latexextra"
+UPDMAP="etc/texmf/web2c/updmap.cfg"
+UPDMAPLOCAL="etc/texmf/web2c/updmap-local.cfg"
+SYNCWITHTREES=''
+
+MAPFILE="var/lib/texmf/arch/installedpkgs/$PKGNAME.maps"
+
+post_install() {
+ TMPFILE=`mktemp`
+ echo ">>> texlive: saving updmap.cfg as $TMPFILE..."
+ cp "$UPDMAP" "$TMPFILE"
+ echo ">>> texlive: regenerating updmap.cfg (custom additions should go"
+ echo " into /etc/texmf/web2c/updmap-local.cfg"
+ cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+ cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+ [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash
+ echo " done."
+}
+
+post_upgrade() {
+ TMPFILE=`mktemp`
+ echo ">>> texlive: saving updmap.cfg as $TMPFILE..."
+ cp "$UPDMAP" "$TMPFILE"
+ echo ">>> texlive: regenerating updmap.cfg (custom additions should go"
+ echo " into /etc/texmf/web2c/updmap-local.cfg"
+ cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+ cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+ [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash $SYNCWITHTREES
+ echo " done."
+}
+
+pre_remove() {
+for m in `cut -d' ' -f2 $MAPFILE`; do
+ sed -i "/\s$m/d" $UPDMAP ;
+done
+}
+
+post_remove() {
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash
+ echo " done."
+}